import { TokenId } from '@wormhole-foundation/connect-sdk';
export declare const RELAYER_FEE_API_URL = "https://gfx.relayers.xlabs.xyz/api/v1/swap/quote";
export declare const OKU_TRADE_BASE_URL = "https://oku.trade/app";
export interface CreateOrderRequest {
    startingChainId: number;
    destinationChainId: number;
    startingToken: string;
    startingTokenAmount: string;
    destinationToken: string;
    destinationAddress: string;
    relayerFee: string;
    feeTierStart: number;
    feeTierEnd: number;
    minAmountStart: string;
    minAmountEnd: string;
    bridgeNonce: number;
    shouldWrapNative: boolean;
    shouldUnwrapNative: boolean;
    porticoAddress: string;
    destinationPorticoAddress: string;
}
export interface CreateOrderResponse {
    transactionData: string;
    transactionTarget: string;
    transactionValue: string;
    startParameters: string[];
    estimatedAmountOut: string;
}
export interface RelayerQuoteResponse {
    fee: string;
    validUntil: string;
}
export declare class PorticoApi {
    static createOrder(request: CreateOrderRequest): Promise<CreateOrderResponse>;
    /**
     * Validates that the response from the order creation API matches the request
     * throws an error if there is a mismatch
     */
    static validateCreateOrderResponse: (response: CreateOrderResponse, request: CreateOrderRequest) => void;
    static quoteRelayer(from: TokenId, to: TokenId): Promise<bigint>;
}
//# sourceMappingURL=porticoApi.d.ts.map