import { Wormhole, canonicalAddress, tokens, } from '@wormhole-foundation/connect-sdk';
export const isEqualCaseInsensitive = (a, b) => {
    return a.toLowerCase() === b.toLowerCase();
};
// For a given token, return the corresponding address native to Ethereum
// Only considers local cache
export const getOriginalEthereumAddress = (network, token) => {
    if (token.chain === 'Ethereum')
        return token;
    const tokenAddress = canonicalAddress(token);
    const tokenData = tokens.getTokenByAddress(network, token.chain, tokenAddress);
    if (!tokenData)
        throw new Error('Could not find token symbol for ' + tokenAddress);
    const originalToken = tokens.getCanonicalToken(network, token.chain, tokenData.symbol);
    if (!originalToken)
        throw new Error('Could not find original token for ' + tokenAddress);
    if (originalToken.chain !== 'Ethereum')
        throw new Error('Original token does not come from Ethereum');
    return Wormhole.chainAddress(originalToken.chain, originalToken.address);
};
//# sourceMappingURL=utils.js.map